Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024621
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-08-29 09:322013-09-13 09:30
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRMP27
StatusclosedFix in branchFixed in SCM revisiona36b22b33f4f
ProjectionnoneETAnoneTarget VersionRMP27
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP25SCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024621: Bardcode reader does not work in android browser

DescriptionBardcode reader does not work in android browser
Steps To Reproduce-Login in Web POS with android browser
-Go to "Scan" tab
-Read a bardcode with bardcode reader scanner

Verify that browser open a new tab trying to find the bardcode in google.
TagsNo tags attached.
Attached Filesdiff file icon barcode-stock-browser.diff [^] (5,273 bytes) 2013-08-29 09:32 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060809)
jecharri (developer)
2013-08-29 09:41

Due to attached patch, the scan problem is solved but it is creating a problem with Dropdown lists, there are not anymore handled properly (examples : Changing the POS Language / selecting a category in the Search Mode)
(0060985)
hgbot (developer)
2013-09-09 19:10

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: a36b22b33f4f46a0ed1c8d1726f3acc60dabacfb
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Sep 09 19:10:01 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/a36b22b33f4f46a0ed1c8d1726f3acc60dabacfb [^]

Fixed issue 24621. Now barcode scanners will work in Android (4.0, 4.1, 4.2) and iOS

---
M web/org.openbravo.mobile.core/source/component/ob-commonbuttons.js
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
M web/org.openbravo.mobile.core/source/component/ob-menu.js
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
---
(0061015)
hgbot (developer)
2013-09-10 09:57

Repository: erp/pmods/org.openbravo.mobile.core-levelpricing
Changeset: a36b22b33f4f46a0ed1c8d1726f3acc60dabacfb
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Sep 09 19:10:01 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core-levelpricing/rev/a36b22b33f4f46a0ed1c8d1726f3acc60dabacfb [^]

Fixed issue 24621. Now barcode scanners will work in Android (4.0, 4.1, 4.2) and iOS

---
M web/org.openbravo.mobile.core/source/component/ob-commonbuttons.js
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
M web/org.openbravo.mobile.core/source/component/ob-menu.js
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
---
(0061128)
guilleaer (developer)
2013-09-13 09:30

Verified
(0061129)
guilleaer (developer)
2013-09-13 09:30

Verified

- Issue History
Date Modified Username Field Change
2013-08-29 09:32 jecharri New Issue
2013-08-29 09:32 jecharri Assigned To => marvintm
2013-08-29 09:32 jecharri File Added: barcode-stock-browser.diff
2013-08-29 09:32 jecharri Triggers an Emergency Pack => No
2013-08-29 09:41 jecharri Note Added: 0060809
2013-09-09 19:10 hgbot Checkin
2013-09-09 19:10 hgbot Note Added: 0060985
2013-09-09 19:10 hgbot Status new => resolved
2013-09-09 19:10 hgbot Resolution open => fixed
2013-09-09 19:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/a36b22b33f4f46a0ed1c8d1726f3acc60dabacfb [^]
2013-09-10 09:57 hgbot Checkin
2013-09-10 09:57 hgbot Note Added: 0061015
2013-09-10 09:57 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/a36b22b33f4f46a0ed1c8d1726f3acc60dabacfb [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core-levelpricing/rev/a36b22b33f4f46a0ed1c8d1726f3acc60dabacfb [^]
2013-09-13 09:30 guilleaer Review Assigned To => guilleaer
2013-09-13 09:30 guilleaer Note Added: 0061128
2013-09-13 09:30 guilleaer Status resolved => closed
2013-09-13 09:30 guilleaer Fixed in Version => RMP27
2013-09-13 09:30 guilleaer Note Added: 0061129


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker